tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Cox, Charlie" <c...@cincom.com>
Subject RE: endorsed classes
Date Thu, 10 Apr 2003 12:48:40 GMT
I just realized that you are replacing a newer version with an older
version. I'm not sure if tomcat will have problems with this or not. It may
be easier to get your app working with the latest xerces.

Charlie

> -----Original Message-----
> From: bahbahbooie@go.com [mailto:bahbahbooie@go.com]
> Sent: Wednesday, April 09, 2003 8:12 PM
> To: Tomcat Users List
> Subject: RE: endorsed classes
> 
> 
> Charlie,
> 
> Thanks for the reply (again).
> Our e-mail switched servers and I did not get any mail until 
> the afternoon 
> so I appreciate you taking the time to repost your reply.
> 
> I guess this is yet another documentation bug.
> It sure would have saved me a lot of time if the 
> documentation was correct.
> 
> Thanks,
> Todd
> 
> 
> At 02:54 PM 4/9/2003 -0400, Cox, Charlie wrote:
> >I guess you missed my reply earlier.
> >
> >you can not override it in your web app but you can replace 
> these jars with
> >your own version. Then everything(including tomcat 
> internally) will use your
> >version.
> >
> >Charlie
> >
> > > -----Original Message-----
> > > From: bahbahbooie@go.com [mailto:bahbahbooie@go.com]
> > > Sent: Wednesday, April 09, 2003 4:54 PM
> > > To: Tomcat Users List
> > > Subject: endorsed classes
> > >
> > >
> > > I read a post stating the endorsed directories have a higher
> > > class loading
> > > priority than any of the Tomcat class loaders in Tomcat 4.1.
> > >
> > > I found this in the link from
> > > http://tomcatfaq.sourceforge.net/classnotfound.html 
> entitled "Another
> > > answer to a classloader issues."
> > >
> > > Does this mean you can never override the Xerces version
> > > (xercesImpl.jar)
> > > or parser APIs (xmlParserAPIs.jar) since these are in
> > > $CATALINA_HOME/common/endorsed?
> > >
> > > If so, this is the source of my problem trying to use Xerces
> > > 1.4.4 and JAXP
> > > 1.1.
> > > I get a VerifyError each time I try to use the
> > > setErrorHandler(org.xml.sax.ErrorHandler) method in my 
> application.
> > > This worked fine with Tomcat 3.2.4 in-process but fails 
> every time in
> > > Tomcat 4.1.24 out-of-process.
> > >
> > > Please help.  I have been stumped by this VerifyError for
> > > over a week now.
> > >
> > > Thanks.
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
> For additional commands, e-mail: tomcat-user-help@jakarta.apache.org
> 

---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org


Mime
View raw message